Jump to content
  • 0

[Erledigt] Fehlermeldung PS 1.7.5 Bestellungsverlauf


Question

Hallo zusammen,

ich  hab diese Fehlermeldung erhalten, kann mir jemand sagen wie ich dieses Problem beheben kann?

Momentan verwende ich die Prestashop version 1.7.5.

image.thumb.png.80c03fb9dd086bd5414ac0b17dca4a07.png

Danke voraus.

David

Share this post


Link to post
Share on other sites

32 answers to this question

Recommended Posts

  • 0

Hallo David,

eine genaue Versionsangabe wär schön. Zwischen 1.7.5.0 und 1.7.5.9 liegt ein Jahr 😉

Dann wäre die Frage wann diese Fehlermeldung auftaucht, was du als letztes im Shop getan hast bevor die Meldung kam und ob due Irgendwelche Module nutzt die in den Bestellablauf eingreifen. (Auf welche Weise auch immer)

Wenn ud noch ins Backend kommst versuch doch mal Module von Drittanbietern und Overrides zu deaktivieren.

Share this post


Link to post
Share on other sites
  • 0

Ich habe die Module von Drittanbietern und die Overrides deaktiviert, aber die Fehlermeldung wird mir trotzdem noch angezeigt.

Es wird mir auch eine Fehlermeldung angezeigt wenn ich auf die Kontaktseite gehe.

Eigentlich habe ich nur den Shop auf einen neuen Server umgezogen und  nur in dem Childtheme Ordner Änderungen vorgenommen.

 

Screenshot_2019-08-31 https www schallsicherheitsdruck-muenchen de.png

Share this post


Link to post
Share on other sites
  • 0

Es scheint probleme mit dem Template Rendering und Cache Files zu geben. Versuche mal den Ordner /var/cache zu /var/cache_old umzubennnen.

Share this post


Link to post
Share on other sites
  • 0

Zeile 943 in Order.php sieht bei mir wie folgt aus

    $res[$key]['order_state'] = $indexedOrderStates[$val['id_order_state']]['name'];

Es werden also der Order Status gelesen/gesetzt. Prüfe also mal wie diese bei den Bestellungen des Kunden aussehen und ob die richtig eingestellt sind und mit der Datenbank übereinstimmt, evtl. gibt es hier eine Inkonsitenz

Share this post


Link to post
Share on other sites
  • 0

Vergleiche den Bestellstatus der Bestellungen von Kunde 2 mit den konigurierten Bestellstatusen - kann sein dass es dort Inkonsitenzen gibt - hast du dort mal was geändert, umbenannt, gelöscht etc.?

Share this post


Link to post
Share on other sites
  • 0

Kommt auf die genaue Situation an. Evtl. Bestellstatus wiederherstellen oder anderen Bestellstatus der Bestellung zuordnen. Aber zuerst solltest die Ursache gefunden werden

Share this post


Link to post
Share on other sites
  • 0

Ich bin noch auf der Suche nach der Ursache, aber ich hab jetzt mal ein neues Kundenkonto erstellt und wenn ich mit diesem neuem Kundenkonto auf irgendeinen Artikel gehe erhalte ich diese Fehlermeldung:

image.thumb.png.dbf344c12d6faa92c518d9e0a40ae869.png

Share this post


Link to post
Share on other sites
  • 0

Mehr kann man aus der Fehlermeldung nicht sehen - außer dass der Cache beteiligt ist. Lösche denn doch nochmal wie oben beschrieben (Ordner /var/cache zu /var/cache_old umzubenennen)

Share this post


Link to post
Share on other sites
  • 0

Aber es wär ja mal schnell gemacht, das Modul zu deaktivieren und mit dem Konto, mit dem du die Probleme hast, zu testen ob dann alles geht.

Dann kann man es wenigstens eingrenzen und genauere Hilfe geben als nur rum zu stochern.

Share this post


Link to post
Share on other sites
  • 0

Dann guck mal ob es da eine neue Version gibt oder das Modul verträgt sich nicht mit einem anderen Modul oder der Shopversion.

Im Zweifelsfall musst du dein Anliegen dem Modulentwickler vortragen und hoffen das er dir den Fehler beseitigen kann.

Share this post


Link to post
Share on other sites
  • 0

Ich habe den Modulentwickler kontaktiert, mal sehen was passiert.

Jetzt erhalte ich aber nachdem ich auf dem Server die Pakete aktualisiert habe, diese Fehlermeldung, nachdem Abschluss einer Bestellung und es wird auch keine Bestellbestätigung versendet. Liegt dass tatsächlich an der Aktualisierung der Pakete oder gibt es für diese Fehlermeldung eine andere Ursache?

image.thumb.png.2ff04841f2d7d04fb69c3d4614db50a1.png

Share this post


Link to post
Share on other sites
  • 0

Ob nun gerade diese Fehlermeldung mit PHP 7.3 zu tun haben kann ich dir nicht sagen, jedenfalls ist auch die neueste Prestashop-Version nicht mit PHP 7.3 kompatibel. Mit der direkten Betreuung eines Servers kenne ich mich nicht aus, dein Provider müßte dir helfen können und Anleitungen gibt es da sicherlich auch zuhauf.

Share this post


Link to post
Share on other sites
  • 0

Naja, am Anfang sind es Notices, dann hat man Zeit, sich zu kümmern, irgendwann werden es dann warnings, da wird die Luft schon dünner, und zuletzt dann fatal errors. Man hat im Normalfall mit einem PHP-Upgrade nicht gleich eine Havarie zu befürchten, aber man sollte eben schon bei den notices lernen, dass man die mnicht ignoriert, das ist ein gut gemeintes Frühwarnsystem, das eben irgendwann dann zuschlägt, wenn man es nur konsequent ausblendet ;)

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More